package Message

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/Message"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /message/list Message GetMessageList
//
// Get message list | 获取Message列表
//
// Get message list | 获取Message列表
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: MessageListReq
//
// Responses:
//  200: MessageListResp

func GetMessageListHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.MessageListReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := Message.NewGetMessageListLogic(r.Context(), svcCtx)
		resp, err := l.GetMessageList(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
